<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fn="http://www.w3.org/2005/xpath-functions" xmlns:ns1="modchip" xmlns:ns2="modchipWii" xmlns:ns3="modchipGC" xmlns:ns4="modchipXbox" xmlns:ns5="modchipPS2" xmlns:xdt="http://www.w3.org/2005/xpath-datatypes" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:altova="http://www.altova.com">
	<xsl:output version="4.0" method="html" indent="no" encoding="UTF-8" doctype-public="-//W3C//DTD HTML 4.0 Transitional//EN" doctype-system="http://www.w3.org/TR/html4/loose.dtd"/>
	<xsl:param name="SV_OutputFormat" select="'HTML'"/>
	<xsl:variable name="XML" select="/"/>
	<xsl:template match="/">
		<html>
			<head>
				<title/>
			</head>
			<body>
				<xsl:for-each select="$XML">
					<h2>
						<span>
							<xsl:text>Tabla de componentes:</xsl:text>
						</span>
					</h2>
					<table style="background-color:#e9ffe9; " border="1" width="100%">
						<tbody>
							<tr valign="top">
								<td valign="top">
									<xsl:for-each select="chips">
										<xsl:for-each select="chipGC">
											<br/>
											<h5 style="background-color:#ff9933; ">
												<span>
													<xsl:value-of select="position()"/>
												</span>
												<span>
													<xsl:text>. </xsl:text>
												</span>
												<xsl:for-each select="ns1:nombreChip">
													<xsl:apply-templates/>
												</xsl:for-each>
											</h5>
											<address>
												<span>
													<xsl:text>Actualizable: </xsl:text>
												</span>
												<xsl:for-each select="ns1:actualizable">
													<xsl:apply-templates/>
												</xsl:for-each>
												<br/>
												<span>
													<xsl:text>Cables: </xsl:text>
												</span>
												<xsl:for-each select="ns1:cables">
													<xsl:apply-templates/>
												</xsl:for-each>
												<br/>
												<span>
													<xsl:text>QuickSolder: </xsl:text>
												</span>
												<xsl:for-each select="ns1:quickSolder">
													<xsl:apply-templates/>
												</xsl:for-each>
												<br/>
												<span>
													<xsl:text>¿Sin soldaduras?: </xsl:text>
												</span>
												<xsl:for-each select="ns1:sinSoldaduras">
													<xsl:apply-templates/>
												</xsl:for-each>
												<br/>
												<span>
													<xsl:text>Número de soldaduras: </xsl:text>
												</span>
												<xsl:for-each select="ns1:soldaduras">
													<xsl:apply-templates/>
												</xsl:for-each>
												<br/>
												<span>
													<xsl:text>Sitio de referencia: </xsl:text>
												</span>
												<a>
													<xsl:choose>
														<xsl:when test="substring(string(ns1:creador/ns1:web), 1, 1) = '#'">
															<xsl:attribute name="href">
																<xsl:value-of select="ns1:creador/ns1:web"/>
															</xsl:attribute>
														</xsl:when>
														<xsl:otherwise>
															<xsl:attribute name="href">
																<xsl:if test="substring(string(ns1:creador/ns1:web), 2, 1) = ':'">
																	<xsl:text>file:///</xsl:text>
																</xsl:if>
																<xsl:value-of select="translate(string(ns1:creador/ns1:web), '&#x5c;', '/')"/>
															</xsl:attribute>
														</xsl:otherwise>
													</xsl:choose>
													<xsl:for-each select="ns1:creador">
														<xsl:for-each select="ns1:nombreEquipo">
															<xsl:apply-templates/>
														</xsl:for-each>
													</xsl:for-each>
												</a>
											</address>
											<br/>
										</xsl:for-each>
									</xsl:for-each>
								</td>
								<td valign="top">
									<xsl:for-each select="chips">
										<xsl:for-each select="chipPS2">
											<br/>
											<h5 style="background-color:#ff9933; ">
												<span>
													<xsl:value-of select="position()"/>
												</span>
												<span>
													<xsl:text>. </xsl:text>
												</span>
												<xsl:for-each select="ns1:nombreChip">
													<xsl:apply-templates/>
												</xsl:for-each>
											</h5>
											<address>
												<span>
													<xsl:text>Actualizable: </xsl:text>
												</span>
												<xsl:for-each select="ns1:actualizable">
													<xsl:apply-templates/>
												</xsl:for-each>
												<br/>
												<span>
													<xsl:text>Cables: </xsl:text>
												</span>
												<xsl:for-each select="ns1:cables">
													<xsl:apply-templates/>
												</xsl:for-each>
												<br/>
												<span>
													<xsl:text>QuickSolder: </xsl:text>
												</span>
												<xsl:for-each select="ns1:quickSolder">
													<xsl:apply-templates/>
												</xsl:for-each>
												<br/>
												<span>
													<xsl:text>¿Sin soldaduras?: </xsl:text>
												</span>
												<xsl:for-each select="ns1:sinSoldaduras">
													<xsl:apply-templates/>
												</xsl:for-each>
												<br/>
												<span>
													<xsl:text>Número de soldaduras: </xsl:text>
												</span>
												<xsl:for-each select="ns1:soldaduras">
													<xsl:apply-templates/>
												</xsl:for-each>
												<br/>
												<span>
													<xsl:text>Sitio de referencia: </xsl:text>
												</span>
												<a>
													<xsl:choose>
														<xsl:when test="substring(string(ns1:creador/ns1:web), 1, 1) = '#'">
															<xsl:attribute name="href">
																<xsl:value-of select="ns1:creador/ns1:web"/>
															</xsl:attribute>
														</xsl:when>
														<xsl:otherwise>
															<xsl:attribute name="href">
																<xsl:if test="substring(string(ns1:creador/ns1:web), 2, 1) = ':'">
																	<xsl:text>file:///</xsl:text>
																</xsl:if>
																<xsl:value-of select="translate(string(ns1:creador/ns1:web), '&#x5c;', '/')"/>
															</xsl:attribute>
														</xsl:otherwise>
													</xsl:choose>
													<xsl:for-each select="ns1:creador">
														<xsl:for-each select="ns1:nombreEquipo">
															<xsl:apply-templates/>
														</xsl:for-each>
													</xsl:for-each>
												</a>
											</address>
											<br/>
										</xsl:for-each>
									</xsl:for-each>
								</td>
							</tr>
							<tr align="left">
								<td valign="top">
									<xsl:for-each select="chips">
										<xsl:for-each select="chipXbox">
											<br/>
											<h5 style="background-color:#ff9933; ">
												<span>
													<xsl:value-of select="position()"/>
												</span>
												<span>
													<xsl:text>. </xsl:text>
												</span>
												<xsl:for-each select="ns1:nombreChip">
													<xsl:apply-templates/>
												</xsl:for-each>
											</h5>
											<address>
												<span>
													<xsl:text>Actualizable: </xsl:text>
												</span>
												<xsl:for-each select="ns1:actualizable">
													<xsl:apply-templates/>
												</xsl:for-each>
												<br/>
												<span>
													<xsl:text>Cables:</xsl:text>
												</span>
												<xsl:for-each select="ns1:cables">
													<xsl:apply-templates/>
												</xsl:for-each>
												<br/>
												<span>
													<xsl:text>Led: </xsl:text>
												</span>
												<xsl:for-each select="ns4:LED">
													<xsl:apply-templates/>
												</xsl:for-each>
												<br/>
												<span>
													<xsl:text>Tamaño de la Flash: </xsl:text>
												</span>
												<xsl:for-each select="ns4:tamañoFlash">
													<xsl:apply-templates/>
												</xsl:for-each>
												<br/>
												<span>
													<xsl:text>QuickSolder:</xsl:text>
												</span>
												<xsl:for-each select="ns1:quickSolder">
													<xsl:apply-templates/>
												</xsl:for-each>
												<br/>
												<span>
													<xsl:text>¿Sin soldaduras?: </xsl:text>
												</span>
												<xsl:for-each select="ns1:sinSoldaduras">
													<xsl:apply-templates/>
												</xsl:for-each>
												<br/>
												<span>
													<xsl:text>Número de soldaduras: </xsl:text>
												</span>
												<xsl:for-each select="ns1:soldaduras">
													<xsl:apply-templates/>
												</xsl:for-each>
												<br/>
												<span>
													<xsl:text>Sitio de referencia: </xsl:text>
												</span>
												<a>
													<xsl:choose>
														<xsl:when test="substring(string(ns1:creador/ns1:web), 1, 1) = '#'">
															<xsl:attribute name="href">
																<xsl:value-of select="ns1:creador/ns1:web"/>
															</xsl:attribute>
														</xsl:when>
														<xsl:otherwise>
															<xsl:attribute name="href">
																<xsl:if test="substring(string(ns1:creador/ns1:web), 2, 1) = ':'">
																	<xsl:text>file:///</xsl:text>
																</xsl:if>
																<xsl:value-of select="translate(string(ns1:creador/ns1:web), '&#x5c;', '/')"/>
															</xsl:attribute>
														</xsl:otherwise>
													</xsl:choose>
													<xsl:for-each select="ns1:creador">
														<xsl:for-each select="ns1:nombreEquipo">
															<xsl:apply-templates/>
														</xsl:for-each>
													</xsl:for-each>
												</a>
											</address>
											<br/>
										</xsl:for-each>
									</xsl:for-each>
								</td>
								<td valign="top">
									<xsl:for-each select="chips">
										<xsl:for-each select="chipWii">
											<br/>
											<h5 style="background-color:#ff9933; ">
												<span>
													<xsl:value-of select="position()"/>
												</span>
												<span>
													<xsl:text>. </xsl:text>
												</span>
												<xsl:for-each select="ns1:nombreChip">
													<xsl:apply-templates/>
												</xsl:for-each>
											</h5>
											<address>
												<span>
													<xsl:text>Actualizable: </xsl:text>
												</span>
												<xsl:for-each select="ns1:actualizable">
													<xsl:apply-templates/>
												</xsl:for-each>
												<br/>
												<span>
													<xsl:text>Cables: </xsl:text>
												</span>
												<xsl:for-each select="ns1:cables">
													<xsl:apply-templates/>
												</xsl:for-each>
												<br/>
												<span>
													<xsl:text>RegionFree: </xsl:text>
												</span>
												<xsl:for-each select="ns2:regionFree">
													<xsl:apply-templates/>
												</xsl:for-each>
												<br/>
												<span>
													<xsl:text>Stealth: </xsl:text>
												</span>
												<xsl:for-each select="ns2:stealth">
													<xsl:apply-templates/>
												</xsl:for-each>
												<br/>
												<span>
													<xsl:text>QuickSolder: </xsl:text>
												</span>
												<xsl:for-each select="ns1:quickSolder">
													<xsl:apply-templates/>
												</xsl:for-each>
												<br/>
												<span>
													<xsl:text>¿Sin soldaduras?: </xsl:text>
												</span>
												<xsl:for-each select="ns1:sinSoldaduras">
													<xsl:apply-templates/>
												</xsl:for-each>
												<br/>
												<span>
													<xsl:text>Número de soldaduras: </xsl:text>
												</span>
												<xsl:for-each select="ns1:soldaduras">
													<xsl:apply-templates/>
												</xsl:for-each>
												<br/>
												<span>
													<xsl:text>Sitio de referencia: </xsl:text>
												</span>
												<a>
													<xsl:choose>
														<xsl:when test="substring(string(ns1:creador/ns1:web), 1, 1) = '#'">
															<xsl:attribute name="href">
																<xsl:value-of select="ns1:creador/ns1:web"/>
															</xsl:attribute>
														</xsl:when>
														<xsl:otherwise>
															<xsl:attribute name="href">
																<xsl:if test="substring(string(ns1:creador/ns1:web), 2, 1) = ':'">
																	<xsl:text>file:///</xsl:text>
																</xsl:if>
																<xsl:value-of select="translate(string(ns1:creador/ns1:web), '&#x5c;', '/')"/>
															</xsl:attribute>
														</xsl:otherwise>
													</xsl:choose>
													<xsl:for-each select="ns1:creador">
														<xsl:for-each select="ns1:nombreEquipo">
															<xsl:apply-templates/>
														</xsl:for-each>
													</xsl:for-each>
												</a>
											</address>
											<br/>
										</xsl:for-each>
									</xsl:for-each>
								</td>
							</tr>
						</tbody>
					</table>
				</xsl:for-each>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
