#!/usr/bin/env python
# -*- coding: latin-1 -*-

# este script permite reconocer dos tipos de frases
# A) Cuántos chips hay para CONSOLA
#  a1. reconoce cuantos pero no chips
#digo que si puede utilizar otra palabra
#  a2. reconoce cuantos y chips y...
#reconoce para/en...: buscamos la consola que es la palabra para+1
#no reconoce para: mensaje para que se reformule diciendo para qué consola quiere
# B) Qué chips hay con CARACT para CONSOLA
#  b1. reconoce cuantos pero no chips
#digo que si puede utilizar otra palabra
#  b2. reconoce qué chip y...
#reconoce con y para: buscamos con+1 en para+1
#no reconoce con: mensaje con qué característica quieres encontrarlos
#no reconoce para: mensaje para que diga qué consola
#no reconoce ni para ni con: mensaje diciendo que no entiende qué quiere saber
#
#quisiera ['vmsi3s0', 'vmsi1s0']
#saber ['vmn0000', 'ncms000', 'nc00000']
#que ['pr0cn000', 'cs', 'cc']
#con ['sps00']
#cuanto ['rg', 'pr0ms000', 'cs']
#cuantos ['di0mp0']
#chip ['ncmp000']
#chips ['ncmp000']
#hay ['vaip3s0']
#para ['sps00']

#Posibles consolas
#GC
#PS2
#Xbox
#Wii

#La característica la tendrá que introducir el usuario así:
#soldaduras=5
import sys
import pygtk
import gtk
import gtk.glade
import nltk
import string
from lxml import etree

class Practica:
	def __init__(self):
		self.wTree=gtk.glade.XML("disenyoGlade.glade")
		self.cajaTM = self.wTree.get_widget("cajaTextoMostrado")
		self.cajaTMBuffer = self.cajaTM.get_buffer()
		dic = {
			"on_botonEnviarTexto_clicked":self.botonEnviarTexto_clicked,
			"on_MenuPrincipal_destroy":gtk.main_quit }
		self.wTree.signal_autoconnect(dic)
	
	def botonEnviarTexto_clicked(self,widget):
		print "Procesando respuesta... espere"
		textoNuevo = self.cajaTMBuffer.get_text(self.cajaTMBuffer.get_start_iter(),self.cajaTMBuffer.get_end_iter())
		textoNuevo += "\n"
		textoEnviar = self.wTree.get_widget("cajaEntradaTexto").get_text()
		textoNuevo += "> "+ textoEnviar + "\n"
		self.wTree.get_widget("cajaEntradaTexto").set_text("")
		# AQUI COMIENZA EL PROCESADO EN NLTK
		
		cfd = nltk.ConditionalFreqDist()
		frase = textoEnviar
		frase = frase.replace('á','a')
		frase = frase.replace('é','e')
		frase = frase.replace('í','i')
		frase = frase.replace('ó','o')
		frase = frase.replace('ú','u')
		frase = frase.replace('¿',' ')
		frase = frase.replace('?',' ')
		frase = frase.lower()
		
		palabras = frase.split()
		for section in nltk.corpus.cess_esp.items:
			for (word,tag) in nltk.corpus.cess_esp.tagged_words(section):
				word=word.lower()
				if word in palabras:
					cfd[word].inc(tag)		
		
		
		
		tipoPregunta = 0
		chips = 0
		leerSiguiente = 0
		listaPalabras = ['']
		#Si tipoPregunta = 1: cuántos chips...
		#Si tipoPregunta = 2: qué chips...
		#Si tipoPregunta > 2 o < 1: no reconocida
		for aw in palabras:
			etiqueta = cfd[aw].sorted()
			cadenaEtiqueta = ''.join(etiqueta)
			# Si es 'cuántos'
			indice = string.find(cadenaEtiqueta, "di0mp0")
			if indice != -1:
				tipoPregunta = 1
				continue
			# Si es 'chips'
			indice = string.find(cadenaEtiqueta, "ncmp000")
			if indice != -1:
				chips = 1
				continue
			# Si es 'para' o 'con'
			indice = string.find(cadenaEtiqueta, "sps00")
			if indice != -1:
				leerSiguiente = 1
				continue
			if leerSiguiente == 1:
				listaPalabras.append(aw)
				leerSiguiente = 0
				continue
			# Si es 'qué'
			indice = string.find(cadenaEtiqueta, "pr0cn000")
			if indice != -1:
				tipoPregunta = 2
				continue





		mensajeSalida = ""
		# CASOS
		if tipoPregunta == 0:
			mensajeSalida = "Hola, ¿en qué te puedo ayudar?"
		else:
			if chips == 0:
				mensajeSalida = "No entiendo lo que quieres preguntar"
			else:
				consola = listaPalabras.pop()
				if consola == '':
					mensajeSalida = "No entiendo para qué consola quieres saber información"
				else:
					caracteristica = listaPalabras.pop()
					if caracteristica == '':
						# Si es el tipo de pregunta A es correcto
						if tipoPregunta == 1:
							tree = etree.parse('chips.xml')
							sentenciaXpath = '(//chip%s/nombreChip)/text()' % consola
							resultados = tree.xpath(sentenciaXpath)
							numeroResultados = len(resultados)
							#mensajeSalida =  "¿Cuántos chips hay para %s?: %d" % (consola,numeroResultados)
							mensajeSalida = repr(numeroResultados)
						else:
							mensajeSalida =  "Debes decirme qué característica quieres buscar"
					else:
						if tipoPregunta == 2:
							tree = etree.parse('chips.xml')
							sentenciaXpath = '(//chip%s[%s]/nombreChip)/text()' % (consola,caracteristica)
							resultados = tree.xpath(sentenciaXpath)
							listaChips = ""
							for nombreChip in resultados:
								listaChips += ", "+nombreChip
							
							listaChips = listaChips[2:67]
							#mensajeSalida =  "¿Qué chips hay con %s para %s? %s" % (caracteristica,consola,listaChips)
							mensajeSalida = listaChips
						else:
							mensajeSalida = "No entiendo lo que quieres preguntar"
		

			

		textoEnviar = mensajeSalida
		
		# AQUI TERMINA EL PROCESADO EN NTLK
		
		
		textoNuevo += textoEnviar
		self.cajaTMBuffer.set_text(textoNuevo)

if __name__=="__main__":
	print "\nBienvenido a este profesor virtual que puede responder preguntas"
	print "acerca de los diferentes chips para consolas (GC, PS2, Xbox o Wii)"
	print "Las dos preguntas que reconoce es acerca de cuántos chips hay para una"
	print "o qué chips existen con alguna característica determinada"
	print "\nEste programa ha sido desarrollado por Daniel Pérez. Córdoba. 2008\n"
	hwg = Practica()
	gtk.main()

